=== debian/changelog ===
sdlhana (0.34-1) unstable; urgency=low

  * Initial release.

 -- Wei Mingzhi <whistler@openoffice.org>  Sat,  7 Jul 2006 20:52:31 +0800
